# ACE_InputCDR::to_boolean Struct Reference

`#include <CDR_Stream.h>`

List of all members.

## Public Member Functions

| to_boolean (ACE_CDR::Boolean &b)

## Public Attributes

ACE_CDR::Boolean & | ref_

## Detailed Description

Disambiguate overloading when extracting octets, chars, booleans, and bounded strings

## Constructor & Destructor Documentation

ACE_INLINE ACE_InputCDR::to_boolean::to_boolean | ( | ACE_CDR::Boolean & | b | ) | `[explicit]`

## Member Data Documentation

ACE_CDR::Boolean& ACE_InputCDR::to_boolean::ref_

The documentation for this struct was generated from the following files:

- CDR_Stream.h
- CDR_Stream.inl